﻿.sticky-header p {
    font-size: 1.8vh;
}

.sticky-header h5 {
    color: #fe5f0f;
    font-size: 2vh;
}

.sticky-header .header-btns img {
    width: auto;
    height: 4vh;
}

footer {
    position: relative;
}

h2 {
    font-size: min(1.8vw, 3.6vh);
}

h3 {
    font-size: min(1.5vw, 3vh);
}

h4 {
    font-size: min(1.25vw, 2.5vh);
}

h5 {
    font-size: min(2vh, 1vw);
}

p {
    font-size: min(1.4vw, 2vh);
    line-height: min(1.8vw, 3vh);
}

.m-btn .btn {
    padding: 0.8vh 0.8vw !important;
    min-height: 2rem;
}

.btn-inner {
    font-size: min(1.4vw, 2vh);
    line-height: min(1.8vw, 3vh);
}

.sticky-header {
    z-index: 999;
    background: white;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1vh 7vw;
    transition: background-color 0.3s ease-in-out;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
}

.header-container{
    display: flex; 
    align-items: flex-end;
    flex-wrap: wrap;
}

.header-container img{
    max-width: 25%;
    margin-left: 1vw;
}

.header-btns{
    display: flex;
    flex-wrap: nowrap;
}

.btn{
    padding: min(0.2vh, 0.1vw);
    cursor: pointer;
}

.none{
    display: none;
}

/******* Product page v2 ****/
h1, h2, h3 {
    color: #fe5f0f;
    text-transform: uppercase;
}

.product-hero {
    height: 100%;
    position:relative;
}

.product-hero>img {
    position:absolute;
    bottom: 0;
    width: 100%;
}

.product-hero .content-box {
    left: 10%;
    padding: 8vh 3vh;
}

.product-hero .content-box h1 {
    font-size: 5vh;
}

.product-hero .content-box img {
    width: 30%;
    padding-top: 1vh;
}

.content-box {
    background-image: url('../images/revoria/gc12500/content-frame.png');
    width: 56vh;
    height: 80vh;
    position:relative;
    top: 10%;
    background-repeat: no-repeat;
    background-size: contain;
}

.content-box h2 {
    font-size: 3.6vh;
}

.content-box h3 {
    font-size: 3vh;
}

.content-box h4 {
    font-size: 2.5vh;
}

.content-box h5 {
    font-size: 2vh;
}

.product-video-wrapper {
    height: 100%;
    text-align: center;
    display: flex;
    align-items: flex-end;
    justify-content: space-around;
}

.product-video-wrapper>video {
    height: 90vh;
}

.product-cards {
    text-align: center;
    display: flex;
    height: 100%;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.product-cards h2, .product-cards p {
    max-width: 100vh;
}

.product-cards>div {
    display: flex;
    justify-content: center;
}

.product-cards>div>div {
    width: 20%;
    background-color: rgba(255,255,255,0.75);
    border-radius: min(1vw,2vh);
    margin: min(1.5vw,3vh);
    padding: min(1.75vw,3.5vh);
    text-align: left;
}

.product-cards>div>div>img {
    width: 25%;
}

.product-cards>div>div>h4 {
    padding: 1vh 0;
}

.product-slides, .product-slides2 {
    position: relative;
    height: 100%;
}

.product-slides>.content-box, .product-slides2>.content-box {
    position: relative;
}

.product-slides>.content-box>div, .product-slides2>.content-box>div {
    position: absolute;
    top: 3vh;
    bottom: 3vh;
    pointer-events: none;
    opacity: 0;
    transition: opacity 1s ease-in-out;
}

.product-slides>.content-box>div.active, .product-slides2>.content-box>div.active {
    opacity: 1;
    pointer-events: all;
    z-index: 2;
}

.lt-slide>.content-box {
    left: calc(40% - 56vh)
}

.lt-slide>.content-box>div {
    left: 3vh;
    right: 6vh;
}

.lt-slide>.slide-images {
    left: calc(40% - 5vh);
}

.lt-slide>.slide-images>img {
    object-position: left;
}

.rt-slide>.content-box {
    left: 60%;
}

.rt-slide>.content-box>div {
    left: 6vh;
    right: 3vh;
}

.rt-slide>.slide-images {
    left: calc(10% + 5vh);
}

.rt-slide>.slide-images>img {
    object-position: right;
}

.product-slides>.content-box img, .product-slides2>.content-box img {
    width: 8vh;
}

.slide-images {
    position: absolute;
    height: 70%;
    top: 18%;
    width: 50%;
}

.slide-images>img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    max-height: 100%;
    object-fit: contain;
    opacity: 0;
    transition: opacity 1s ease-in-out;
}

.slide-images>img.active {
    opacity: 1;
}

.next-button, .previous-button {
    position: absolute;
    height: 10vh;
    width: 10vh;
    top: 50%;
    background-size:contain;
    cursor: pointer;
}

.next-button {
    right: 0;
    background-image: url('../images/revoria/gc12500/right.png');
}

.previous-button {
    left: 0;
    background-image: url('../images/revoria/gc12500/left.png');
}

.product-configuration {
    display: flex;
    flex-direction: column;
    height: 100%;
    align-items: center;
    justify-content: center;
}

.image-stack {
    position: relative;
    height: 50%;
    width: 80%;
    margin: 4vh 0;
}

.image-stack>img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    max-height: 100%;
    object-fit: contain;
}

.timeline {
    width: 100%;
    display: flex;
    justify-content: space-evenly;
    border-top: solid 0.5vh #fe5f0f;
}

.timeline>div {
    width: 10%;
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    cursor: pointer;
}

.timeline-circle {
    border-radius: 50%;
    height: 3vh;
    width: 3vh;
    border: 0.5vh solid #00ad7d;
    background-color: #ffffff;
    transform: translateY(-50%);
    transition: background-color 1s ease-in-out;
}

.timeline>div.active>.timeline-circle {
    background-color: #00ad7d;
}

.config-overlay {
    opacity: 0;
    transition: opacity 0.5s ease-in-out;
}

.config-overlay.active {
    opacity: 1;
}

.image-slides {
    height: 100%;
    width: 100%;
    position: relative;
}

.image-slides>img {
    height: 90vh;
    position: absolute;
    bottom: 1vh;
    left: 50%;
    transform: translateX(-50%);
    object-fit: contain;
    opacity: 0;
    transition: opacity 1s ease-in-out;
}

.image-slides>img.active {
    opacity: 1;
}

.slide-controller-wrapper {
    width: 20%;
    height: 50%;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    left: 8vh;
}

.slide-controller {
    width: 100%;
    height: 100%;
    background-color: rgba(255,255,255,0.75);
    border-radius: 1vw;
    margin: 1.5vw;
    padding: 1.75vw;
}

.content-stack {
    position: relative;
}

.content-stack>div {
    position: absolute;
    top: 0;
    left: 0;
    pointer-events: none;
    opacity: 0;
    transition: opacity 1s ease-in-out;
}

.content-stack>div.active {
    opacity: 1;
    pointer-events: all;
    z-index: 2;
}

.content-stack>div a {
    color: #00ad7d;
    text-decoration: underline;
}

.next-button2, .previous-button2 {
    position: absolute;
    height: 5vh;
    width: 5vh;
    bottom: 2vh;
    background-size:contain;
    cursor: pointer;
}

.next-button2 {
    right: 2vh;
    background-image: url('../images/revoria/gc12500/right.png');
}

.previous-button2 {
    left: 2vh;
    background-image: url('../images/revoria/gc12500/left.png');
}

.product-closing {
    height: 100%;
    width: 100%;
    overflow:hidden;
    position:relative;
}

.product-closing>img {
    position:absolute;
    bottom: -10%;
    width: 130%;
    max-width: unset;
    pointer-events: none;
}

.product-closing .content-box {
    left: 10%;
    padding: 8vh 3vh;
}

.product-closing .content-box h2 {
    font-size: 5vh;
}

.orange {
    color: #fe5f0f;
}

@media (max-aspect-ratio: 1.7) {
    .lt-slide>.content-box {
        left: 12vh;
    }
    .lt-slide>.slide-images {
        left: unset;
        right: 12vh;
    }
    .slide-images {
        width: calc(100% - 75vh);
    }
    .slide-images>img {
        top: 50%;
        transform: translateY(-50%);
    }
    .rt-slide>.content-box {
        left: calc(100% - 68vh);
    }
    .rt-slide>.slide-images {
        left: 12vh;
    }
    .image-stack>img {
        top: 50%;
        transform: translateY(-50%);
    }
    .slide-controller-wrapper {
        width: 30%;
        height: 40%;
    }
    .product-closing>img {
        bottom: 0;
    }
}

@media (max-aspect-ratio: 1.1) {
    .product-hero .content-box, .product-closing .content-box {
        left: 50%;
    }
    .product-hero .content-box h1, h2 {
        font-size: calc(2em + 2vw);
    }
    p {
        font-size: min(3vw, 1.5vh);
        line-height: min(3.5vw, 1.75vh);
    }
    h2 {
        font-size: calc(1.75em + 1.75vw);
    }
    h3 {
        font-size: min(6vw, 3vh);
    }
    h4 {
        font-size: min(3vw, 1.5vh);
    }
    .product-closing .m-btn span {
        font-size: min(3vw, 1.5vh);
    }
    .product-closing>img {
        width: 135%;
        left: 0;
        transform: translateX(-20%);
    }
    .content-box {
        aspect-ratio: 7 / 10;
        max-width: 90%;
        left: 50%;
        transform: translateX(-50%) !important;
    }
    .product-hero>img {
        width: auto;
        max-width: unset;
        height: 40%;
        left: 0;
        transform: translateX(-20%);
    }
    .product-cards {
        text-align: left;
        padding: min(1.75vw, 3.5vh);
    }
    .product-cards>div {
        flex-direction: column;
    }
    .product-cards>div>div {
        width: unset;
        margin: min(1.75vw, 3.5vh) 0;
        position: relative;
        min-height: min(25vw, 10vh);
    }
    .product-cards>div>div>* {
        width: 75%;
        position: relative;
        left: 25%;
    }
    .product-cards>div>div>img {
        width: min(20vw, 7vh);
        position: absolute;
        left: unset;
    }
    .product-slides .content-box {
        background-image: none;
        aspect-ratio: unset;
        max-width: unset;
        left: 0 !important;
        transform: unset !important;
        width: unset;
        height: unset;
        position: static;
        padding-top: 17%;
    }
    .product-slides .content-box>div {
        position: relative !important;
        left: unset !important;
        right: unset !important;
        top: unset !important;
        bottom: unset !important;
        height: 0;
        margin: 0 min(1.75vw, 3.5vh);
    }
    .product-slides .content-box>div.active {
        height: unset;
    }
    .product-slides .content-box>div>img {
        position: absolute;
    }
    .product-slides .content-box>div>h3 {
        position: relative;
        width: calc(100% - 10vh);
        left: 10vh;
        min-height: 10vh;
    }
    .next-button, .previous-button {
        top: calc(100% - 10vh);
    }
    .slide-images {
        position: unset;
        width: 100%;
        margin-top: min(1.75vw, 3.5vh);
    }
    .slide-images>img {
        position: static;
        transform: unset;
        height: 0;
        display: block;
    }
    .slide-images>img.active {
        height: unset;
    }
    .product-configuration h2 {
        margin: min(1.75vw, 3.5vh);
    }
    .timeline {
        width: 250%;
        pointer-events: none;
        position: relative;
    }
    .timeline h5 {
        font-size: min(1.5vh,3vw);
    }
    .image-stack {
        width: 250%;
        transition: all 0.5s ease-out;
        transition-delay: 250ms;
    }
    .slide-controller-wrapper {
        width: 90%;
        height: 35%;
        left: 5%;
        bottom: 5%;
        top: unset;
        transform: unset;
    }
    .slide-controller {
        margin: 0;
    }
    .image-slides {
        height: 85%;
        width: 150%;
        left: -25%;
    }
}